跳转到主要内容
POST
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
curl --request POST \
  --url https://api.aiid.edu.kg/api/v1/services/aigc/video-generation/video-synthesis \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "happyhorse-1.0",
  "mode": "t2v",
  "input": {
    "prompt": "A white horse running through a neon city street, cinematic"
  },
  "parameters": {
    "resolution": "720P",
    "ratio": "16:9",
    "duration": 5
  }
}
'
{
  "id": "task_xxx",
  "output": {
    "task_id": "<string>",
    "task_status": "<string>",
    "video_url": "<string>"
  },
  "usage": {
    "duration": "<string>",
    "SR": "<string>"
  }
}

授权

Authorization
string
header
必填

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

请求体

application/json
model
enum<string>
必填

HappyHorse 对外模型名。聚合模型 happyhorse-1.0 需配合 mode 使用。

可用选项:
happyhorse-1.0,
happyhorse-1.0-t2v,
happyhorse-1.0-i2v,
happyhorse-1.0-r2v,
happyhorse-1.0-video-edit
示例:

"happyhorse-1.0-t2v"

input
object
必填
mode
enum<string>

聚合模型模式,常见值为 t2vi2vr2vvideo_edit。固定子模型可不传。

可用选项:
t2v,
i2v,
r2v,
video_edit
parameters
object

响应

200 - application/json

任务创建成功

id
string
必填
示例:

"task_xxx"

output
object
usage
object